1. Download our Official Android App: Forums for Android!

Root Easy guide to update to Galaxo or GAOSP!

Discussion in 'Android Devices' started by DaSchmarotzer, May 2, 2010.

  1. Hok

    Hok Newbie
    Rank:
    None
    Points:
    15
    Posts:
    12
    Joined:
    Aug 27, 2010

    Aug 27, 2010
    12
    0
    15
    Thanks, but I tried it many times and it didn't work. So I installed android 1.5 and then 1.6.3.4 via galaxy updater from Drakaz and it's working :)
     

    Advertisement

  2. DaSchmarotzer

    DaSchmarotzer Blame it on me
    Thread Starter
    Rank:
    None
    Points:
    313
    Posts:
    3,086
    Joined:
    Mar 10, 2010

    Mar 10, 2010
    3,086
    1,569
    313
    Studying
    Qu
    Avoiding the problem usually is the easiest solution. :D

    Just curious, why did you install Android 1.5? You already had the custom recovery on your phone (there's an option in it to root your phone). All you had to do from there was to use the Drakaz app. ;)

    Or am I misunderstanding?
     
  3. Caroliano

    Caroliano Lurker
    Rank:
    None
    Points:
    6
    Posts:
    7
    Joined:
    Jul 6, 2010

    Jul 6, 2010
    7
    1
    6
    Is there some risk in using "fix package permissions"? I ask that because it asks for confirmation, while some things like overwriting an nandroid backup don't.
     
  4. Lelouch

    Lelouch Android Enthusiast
    Rank:
    None
    Points:
    98
    Posts:
    655
    Joined:
    Aug 6, 2010

    Aug 6, 2010
    655
    70
    98
    Kri
    First, regarding Nandroid backup - depends on which version of Recovery you're using. In the latest Recovery's you don't overwrite old backups - instead new ones are made - so be sure to delete the old ones (they're using space).

    Using "fix package permissions" you won't loose anything, it gives .zip permission to install on your unit (apply any .zip). If you don't give permission some .zip files will not install how they should and you can get errors (FC's), anyway just more frustration then what it should give you.

    So no worries. But when you install something you're not sure if will to work (theme's, animations...) make a Nandroid backup before to save you some headache. :p
     
  5. r3dpuma

    r3dpuma Well-Known Member
    Rank:
    None
    Points:
    38
    Posts:
    211
    Joined:
    Aug 27, 2010

    Aug 27, 2010
    211
    13
    38
    Student, engineer
    Mangalia, Romania
    Can we have new gaaps for the galaxo? Like new market since it wants to update itself anyway (that works), new youtube, gmail, maps maybe?
    Now with the problem, my youtube doesnt plays 98% of the videos i`m trying to play :( it says video cannot be played? Any ideas? Solutions? Please
     
  6. r3dpuma

    r3dpuma Well-Known Member
    Rank:
    None
    Points:
    38
    Posts:
    211
    Joined:
    Aug 27, 2010

    Aug 27, 2010
    211
    13
    38
    Student, engineer
    Mangalia, Romania
    Bump! Nobody with a fix for this?
    I would really love a new galxo gapps. With a new youtube that works, and the new market also working.
    Another thing, is there a way to use the LED Flash when using camcorder? I know it will drain the battery faster, but i think its my choice to make not Samsung's!
     
  7. DaSchmarotzer

    DaSchmarotzer Blame it on me
    Thread Starter
    Rank:
    None
    Points:
    313
    Posts:
    3,086
    Joined:
    Mar 10, 2010

    Mar 10, 2010
    3,086
    1,569
    313
    Studying
    Qu
    I'll try to do a new Gapps for Galaxo, but I've never included the market in any package I've done so I don't know if it's going to work. (Edit: Well it seems a little bit more complicated than I thought, maybe someone else will have the spare time and will to do it. Plus I don't think there's such a big need for it. Sorry. ;))

    And for the LED flash with the camcorder, I've done it before. I installed Moment Flash, started it and then started recording my video. Maybe it can be done with other camera applications, but I never tried.
     
  8. r3dpuma

    r3dpuma Well-Known Member
    Rank:
    None
    Points:
    38
    Posts:
    211
    Joined:
    Aug 27, 2010

    Aug 27, 2010
    211
    13
    38
    Student, engineer
    Mangalia, Romania
    thx.
    Does the updated market works on ure phone? I mean, does the download starts?
     
  9. DaSchmarotzer

    DaSchmarotzer Blame it on me
    Thread Starter
    Rank:
    None
    Points:
    313
    Posts:
    3,086
    Joined:
    Mar 10, 2010

    Mar 10, 2010
    3,086
    1,569
    313
    Studying
    Qu
    I don't even know if it's updated or not. And if it's not, well, I can't find a way to update it. So it probably is. ;)

    I have the Android Market version 1668.
     
  10. r3dpuma

    r3dpuma Well-Known Member
    Rank:
    None
    Points:
    38
    Posts:
    211
    Joined:
    Aug 27, 2010

    Aug 27, 2010
    211
    13
    38
    Student, engineer
    Mangalia, Romania
    Well i have the same,but i uninstalled manually the updates so i had it updated. There is a new market for donut, its updating silently on its own. Maybe u didnt got it because u have an "L". Its the froyo like market, with comment in the right sepparate tab, and the "update all" button and the new smart search. The problem is that with this update, the downoads dont start when trying to get apps. Although some said it starts. I got mine updated 3 times, when updating my apps, the market update installed too on its own (new icon too, like the froyo one) and i had to uninstall it manually. The question is, why google released and imposed the update for donut IF it doesnt freaking works!?
    Look into it, maybe you have better sources.
     
  11. MichaelW

    MichaelW Android Enthusiast
    Rank:
    None
    Points:
    43
    Posts:
    364
    Joined:
    Oct 6, 2009

    Oct 6, 2009
    364
    26
    43
    New market works fine, updated 6 apps again this morning without any stalls or problems at all. The problem isn't the market app, but I don't know what it could be.

    Titanium backup lists my Market version as 2.12, it's definitely the new version, I now get an "update all" button in the downloaded apps. Never had a problem with it.
     
  12. r3dpuma

    r3dpuma Well-Known Member
    Rank:
    None
    Points:
    38
    Posts:
    211
    Joined:
    Aug 27, 2010

    Aug 27, 2010
    211
    13
    38
    Student, engineer
    Mangalia, Romania
    I will try it again, the problem is that i can get it to update by itself again now! :)) Maybe the phone "learned" that i dont want the new update haha. I`ll let my market open for some time maybe it will update by itself eventualy.\
    PS: Do you guys get an gaaps error like 20 seconds after exiting market?
    How many versions of gapps are for galaxo 1.6.3.4 are? Maybe someone can link me.
    PS2: Do you have any idea on how to timestamp the photos i make with the camera?
     
  13. luisxavier

    luisxavier Lurker
    Rank:
    None
    Points:
    5
    Posts:
    3
    Joined:
    Dec 11, 2010

    Dec 11, 2010
    3
    0
    5
    Hello guyz!

    I'm stuck in the fast boot step. When I initiate the fast boot by clicking the call and turn on/off button, i press enter "fastboot flash recovery recovery.img" in the cmd and appears an error message saying that adbwinapi.dll is missing.

    What can i do?
     
  14. DaSchmarotzer

    DaSchmarotzer Blame it on me
    Thread Starter
    Rank:
    None
    Points:
    313
    Posts:
    3,086
    Joined:
    Mar 10, 2010

    Mar 10, 2010
    3,086
    1,569
    313
    Studying
    Qu
    Welcome to the forums. ;)

    Did you install the Android SDK on your computer? Check this part of the guide:

     
  15. luisxavier

    luisxavier Lurker
    Rank:
    None
    Points:
    5
    Posts:
    3
    Joined:
    Dec 11, 2010

    Dec 11, 2010
    3
    0
    5
    I already solved my problem. i dunno if it was the best way. I download the sdk.zip, and then i started the SDK manager and that started installing some packages. After that i went to standard tools(i think it's that name) and there it was the adbWinappi.dll. So i moved the file to the folder that was in C, in the sub-folder tools of the sdk folder. And that solved my problem.

    My question is i didn't download the sdk.exe, that was my problem?

    Another question: In the phone the firmware version says 1.6 - Galaxy v1.6.3.3. That shouldn't be version 2.2 instead of 1.6?
     
  16. r3dpuma

    r3dpuma Well-Known Member
    Rank:
    None
    Points:
    38
    Posts:
    211
    Joined:
    Aug 27, 2010

    Aug 27, 2010
    211
    13
    38
    Student, engineer
    Mangalia, Romania
    No! Galaxo is based on Donut 1.6.
    Gaosp is based on Froyo 2.2.1
     
    luisxavier likes this.
  17. Lelouch

    Lelouch Android Enthusiast
    Rank:
    None
    Points:
    98
    Posts:
    655
    Joined:
    Aug 6, 2010

    Aug 6, 2010
    655
    70
    98
    Kri
    No. That is modified version of Android 1.6.
    The ROM your thinking of is GAOSP. That ROM has Android 2.2.1 in it.

    You can get from here.
     
    luisxavier and r3dpuma like this.
  18. r3dpuma

    r3dpuma Well-Known Member
    Rank:
    None
    Points:
    38
    Posts:
    211
    Joined:
    Aug 27, 2010

    Aug 27, 2010
    211
    13
    38
    Student, engineer
    Mangalia, Romania
    I already said that bro :D trying to steal my "Thanks" hahah :D
     
    Lelouch likes this.
  19. Lelouch

    Lelouch Android Enthusiast
    Rank:
    None
    Points:
    98
    Posts:
    655
    Joined:
    Aug 6, 2010

    Aug 6, 2010
    655
    70
    98
    Kri
    lol
    I give you my "Thanks" bro, so I hope you're happy. :D

    EDIT: Recent Android is Gingerbread (Android 2.3), but if we are gonna see it on our Galaxy it's gonna be a real ("Christmas") miracle. :p
     
    r3dpuma likes this.
  20. luisxavier

    luisxavier Lurker
    Rank:
    None
    Points:
    5
    Posts:
    3
    Joined:
    Dec 11, 2010

    Dec 11, 2010
    3
    0
    5
    Tks for the fast answer!

    You all use that gaosp 2.2 version? Do you think is better than this one? Is it stable?

    Cheers
     
  21. DaSchmarotzer

    DaSchmarotzer Blame it on me
    Thread Starter
    Rank:
    None
    Points:
    313
    Posts:
    3,086
    Joined:
    Mar 10, 2010

    Mar 10, 2010
    3,086
    1,569
    313
    Studying
    Qu
    I think a lot of users now use GAOSP 2.2, but I still use Galaxo 1.6.3.4.

    Unless you want to spend a lot of time messing around with your phone, I suggest you use the latest Galaxo and stick with it until the next GAOSP beta is released.

    Others might disagree though. ;)

    EDIT: Also I've always thought that Galaxo was more stable and faster.
     
    luisxavier likes this.
  22. weasel

    weasel Android Enthusiast
    Rank:
    None
    Points:
    38
    Posts:
    401
    Joined:
    Mar 5, 2010

    Mar 5, 2010
    401
    23
    38
    Nuclear Operator (no shit !!)
    Renfrew, ON
    We're trying to get D to come over to the darkside ...
     
  23. Lelouch

    Lelouch Android Enthusiast
    Rank:
    None
    Points:
    98
    Posts:
    655
    Joined:
    Aug 6, 2010

    Aug 6, 2010
    655
    70
    98
    Kri
    muahahahaha :p
    We all love the darkside. :cool:

    So join us... ;)
     
  24. r3dpuma

    r3dpuma Well-Known Member
    Rank:
    None
    Points:
    38
    Posts:
    211
    Joined:
    Aug 27, 2010

    Aug 27, 2010
    211
    13
    38
    Student, engineer
    Mangalia, Romania
    Here here! :D
     
  25. DaSchmarotzer

    DaSchmarotzer Blame it on me
    Thread Starter
    Rank:
    None
    Points:
    313
    Posts:
    3,086
    Joined:
    Mar 10, 2010

    Mar 10, 2010
    3,086
    1,569
    313
    Studying
    Qu
    I'll probably start using GAOSP soon, I'm just waiting for my finals to be over... Or the next beta, whichever comes first. :p
     

Share This Page

Loading...